import java.util.Scanner;

public class Tablasinteractivas
{
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    
    System.out.println("Programa que realiza las siguientes operaciones [1=+ 2=- 3=* 4=/ 5=% 0=Salir ]");
    System.out.println();
    System.out.print("Seleccione su Opcion: ");
    int opcion = teclado.nextInt();
    
    boolean iniciar = true;
    if (opcion == 0)
    {
      iniciar = true;
    }
    
    else if (opcion != 0)
    {
      System.out.println("Ingrese el valor minimo");
      double minimo = teclado.nextDouble ();
      
      System.out.println("Ingrese el valor maximo");
      double maximo = teclado.nextDouble ();
      
      System.out.print("Ingrese el Incremento: ");
      double incremento = teclado.nextDouble();
      
      while (incremento <= 0)
      {
        System.out.println("Ingrese un incremento positivo");
        System.out.print("Nuevo Incremento: ");
        incremento = teclado.nextDouble();
      }
      
      
      switch (opcion)
      {
        case 1:
          System.out.print( "+  |");
          for(double i=minimo;i<=maximo;i=i+incremento)
          { 
            System.out.print(i + " ");   
          }
          System.out.println();
          
          for(double columna = minimo;columna <= maximo; columna = columna + incremento)
            
          {
            System.out.print(columna + "|");
            for (double fila = minimo; fila <= maximo; fila = fila + incremento)
             
              System.out.print((fila + columna) + " ");
            System.out.println();
            
          }
          
          break;
          
          
        case 2:
          System.out.print( "- |");
          for(double i=minimo;i<=maximo;i=i+incremento)
          { 
            System.out.print(i + " ");   
          }
          System.out.println();
          
          for(double columna = minimo;columna <= maximo; columna = columna + incremento)
            
          {
            System.out.print(columna + "|");
            for (double fila = minimo; fila <= maximo; fila = fila + incremento)
              
              System.out.print((fila - columna) + " ");
            System.out.println();
          }
          
          break;
          
        case 3:
          System.out.print( "* |");
          for(double i=minimo;i<=maximo;i=i+incremento)
          { 
            System.out.print(i + " ");   
          }
          System.out.println();
          
           for(double columna = minimo;columna <= maximo; columna = columna + incremento)
            
          {
            System.out.print(columna + "|");
            for (double fila = minimo; fila <= maximo; fila = fila + incremento)
              
              System.out.print((fila * columna) + " ");
            System.out.println();  
          } 
          break;
          
        case 4:
          System.out.print( "/  |");
          for(double i=minimo;i<=maximo;i=i+incremento)
          { 
            System.out.print(i + " ");   
          }
          System.out.println();
          
          for(double columna = minimo;columna <= maximo; columna = columna + incremento)
            
          {
            System.out.print(columna + "|");
            for (double fila = minimo; fila <= maximo; fila = fila + incremento)
              
              System.out.print((columna / fila) + " ");
            System.out.println();    
          }
          break;
        case 5:
          System.out.print( "%  |");
          for(double i=minimo;i<=maximo;i=i+incremento)
          { 
            System.out.print(i + " ");   
          }
          System.out.println();
          
         for(double columna = minimo;columna <= maximo; columna = columna + incremento)
            
          {
            System.out.print(columna + "|");
            for (double fila = minimo; fila <= maximo; fila = fila + incremento)
              
              System.out.print((columna % fila) + " ");
            System.out.println();  
            
          }
      }
    }
  }
} 


